import{s as It,n as Mt,o as Tt}from"../chunks/scheduler.7da89386.js";import{S as zt,i as xt,g as c,s as a,r,A as wt,h as u,f as t,c as o,j as f,u as l,x as pe,k as _,y as g,a as i,v as s,d as m,t as p,w as d}from"../chunks/index.20910acc.js";import{D as h}from"../chunks/Docstring.f6b633ee.js";import{H as b,E as Dt}from"../chunks/EditOnGithub.ba36cbd0.js";function qt(st){let C,be,he,Ne,w,Ce,D,ye,v,q,Ke,de,mt="Handle the Neural Compressor quantization process.",Xe,y,F,Ye,ce,pt="Create the calibration <code>datasets.Dataset</code> to use for the post-training static quantization calibration step.",Ze,I,L,et,ue,dt="Quantize a model given the optimization specifications defined in <code>quantization_config</code>.",Ie,P,Me,$,k,tt,ge,ct="INCTrainer enables Intel Neural Compression quantization aware training, pruning and distillation.",nt,M,Q,at,fe,ut="How the distillation loss is computed given the student and teacher outputs.",ot,T,E,it,_e,gt="How the loss is computed by Trainer. By default, all models return the loss in the first element.",rt,z,U,lt,$e,ft=`Will save the model, so you can reload it using <code>from_pretrained()</code>.
Will only save from the main process.`,Te,S,ze,O,V,xe,H,we,A,B,De,R,qe,W,j,Fe,G,Le,J,K,Pe,X,ke,Y,Z,Qe,ee,Ee,te,ne,Ue,ae,Se,oe,ie,Oe,re,Ve,le,se,He,me,Ae,ve,Be;return w=new b({props:{title:"Reference",local:"reference",headingTag:"h1"}}),D=new b({props:{title:"INCQuantizer",local:"optimum.intel.INCQuantizer",headingTag:"h2"}}),q=new h({props:{name:"class optimum.intel.INCQuantizer",anchor:"optimum.intel.INCQuantizer",parameters:[{name:"model",val:": typing.Union[transformers.modeling_utils.PreTrainedModel, torch.nn.modules.module.Module]"},{name:"eval_fn",val:": typing.Union[typing.Callable[[transformers.modeling_utils.PreTrainedModel], int], NoneType] = None"},{name:"calibration_fn",val:": typing.Union[typing.Callable[[transformers.modeling_utils.PreTrainedModel], int], NoneType] = None"},{name:"task",val:": typing.Optional[str] = None"},{name:"seed",val:": int = 42"}],source:"https://github.com/huggingface/optimum-intel/blob/vr_1001/optimum/intel/neural_compressor/quantization.py#L78"}}),F=new h({props:{name:"get_calibration_dataset",anchor:"optimum.intel.INCQuantizer.get_calibration_dataset",parameters:[{name:"dataset_name",val:": str"},{name:"num_samples",val:": int = 100"},{name:"dataset_config_name",val:": typing.Optional[str] = None"},{name:"dataset_split",val:": str = 'train'"},{name:"preprocess_function",val:": typing.Optional[typing.Callable] = None"},{name:"preprocess_batch",val:": bool = True"},{name:"use_auth_token",val:": typing.Union[bool, str, NoneType] = None"},{name:"token",val:": typing.Union[bool, str, NoneType] = None"}],parametersDescription:[{anchor:"optimum.intel.INCQuantizer.get_calibration_dataset.dataset_name",description:`<strong>dataset_name</strong> (<code>str</code>) &#x2014;
The dataset repository name on the Hugging Face Hub or path to a local directory containing data files
in generic formats and optionally a dataset script, if it requires some code to read the data files.`,name:"dataset_name"},{anchor:"optimum.intel.INCQuantizer.get_calibration_dataset.num_samples",description:`<strong>num_samples</strong> (<code>int</code>, defaults to 100) &#x2014;
The maximum number of samples composing the calibration dataset.`,name:"num_samples"},{anchor:"optimum.intel.INCQuantizer.get_calibration_dataset.dataset_config_name",description:`<strong>dataset_config_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The name of the dataset configuration.`,name:"dataset_config_name"},{anchor:"optimum.intel.INCQuantizer.get_calibration_dataset.dataset_split",description:`<strong>dataset_split</strong> (<code>str</code>, defaults to <code>&quot;train&quot;</code>) &#x2014;
Which split of the dataset to use to perform the calibration step.`,name:"dataset_split"},{anchor:"optimum.intel.INCQuantizer.get_calibration_dataset.preprocess_function",description:`<strong>preprocess_function</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
Processing function to apply to each example after loading dataset.`,name:"preprocess_function"},{anchor:"optimum.intel.INCQuantizer.get_calibration_dataset.preprocess_batch",description:`<strong>preprocess_batch</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether the <code>preprocess_function</code> should be batched.`,name:"preprocess_batch"},{anchor:"optimum.intel.INCQuantizer.get_calibration_dataset.use_auth_token",description:`<strong>use_auth_token</strong> (Optional[Union[bool, str]], defaults to <code>None</code>) &#x2014;
Deprecated. Please use <code>token</code> instead.`,name:"use_auth_token"},{anchor:"optimum.intel.INCQuantizer.get_calibration_dataset.token",description:`<strong>token</strong> (Optional[Union[bool, str]], defaults to <code>None</code>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>huggingface-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"token"}],source:"https://github.com/huggingface/optimum-intel/blob/vr_1001/optimum/intel/neural_compressor/quantization.py#L247",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The calibration <code>datasets.Dataset</code> to use for the post-training static quantization calibration step.</p>
`}}),L=new h({props:{name:"quantize",anchor:"optimum.intel.INCQuantizer.quantize",parameters:[{name:"quantization_config",val:": ForwardRef('PostTrainingQuantConfig')"},{name:"save_directory",val:": typing.Union[str, pathlib.Path]"},{name:"calibration_dataset",val:": Dataset = None"},{name:"batch_size",val:": int = 8"},{name:"data_collator",val:": typing.Optional[DataCollator] = None"},{name:"remove_unused_columns",val:": bool = True"},{name:"file_name",val:": str = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.intel.INCQuantizer.quantize.quantization_config",description:`<strong>quantization_config</strong> (<code>Union[PostTrainingQuantConfig]</code>) &#x2014;
The configuration containing the parameters related to quantization.`,name:"quantization_config"},{anchor:"optimum.intel.INCQuantizer.quantize.save_directory",description:`<strong>save_directory</strong> (<code>Union[str, Path]</code>) &#x2014;
The directory where the quantized model should be saved.`,name:"save_directory"},{anchor:"optimum.intel.INCQuantizer.quantize.calibration_dataset",description:`<strong>calibration_dataset</strong> (<code>datasets.Dataset</code>, defaults to <code>None</code>) &#x2014;
The dataset to use for the calibration step, needed for post-training static quantization.`,name:"calibration_dataset"},{anchor:"optimum.intel.INCQuantizer.quantize.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, defaults to 8) &#x2014;
The number of calibration samples to load per batch.`,name:"batch_size"},{anchor:"optimum.intel.INCQuantizer.quantize.data_collator",description:`<strong>data_collator</strong> (<code>DataCollator</code>, defaults to <code>None</code>) &#x2014;
The function to use to form a batch from a list of elements of the calibration dataset.`,name:"data_collator"},{anchor:"optimum.intel.INCQuantizer.quantize.remove_unused_columns",description:`<strong>remove_unused_columns</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether or not to remove the columns unused by the model forward method.`,name:"remove_unused_columns"}],source:"https://github.com/huggingface/optimum-intel/blob/vr_1001/optimum/intel/neural_compressor/quantization.py#L120"}}),P=new b({props:{title:"INCTrainer",local:"optimum.intel.INCTrainer",headingTag:"h2"}}),k=new h({props:{name:"class optimum.intel.INCTrainer",anchor:"optimum.intel.INCTrainer",parameters:[{name:"model",val:": typing.Union[transformers.modeling_utils.PreTrainedModel, torch.nn.modules.module.Module] = None"},{name:"args",val:": TrainingArguments = None"},{name:"data_collator",val:": typing.Optional[DataCollator] = None"},{name:"train_dataset",val:": typing.Optional[torch.utils.data.dataset.Dataset] = None"},{name:"eval_dataset",val:": typing.Optional[torch.utils.data.dataset.Dataset] = None"},{name:"processing_class",val:": typing.Union[transformers.tokenization_utils_base.PreTrainedTokenizerBase, transformers.feature_extraction_utils.FeatureExtractionMixin, NoneType] = None"},{name:"model_init",val:": typing.Callable[[], transformers.modeling_utils.PreTrainedModel] = None"},{name:"compute_loss_func",val:": typing.Optional[typing.Callable] = None"},{name:"compute_metrics",val:": typing.Union[typing.Callable[[transformers.trainer_utils.EvalPrediction], typing.Dict], NoneType] = None"},{name:"callbacks",val:": typing.Optional[typing.List[transformers.trainer_callback.TrainerCallback]] = None"},{name:"optimizers",val:": typing.Tuple[torch.optim.optimizer.Optimizer, torch.optim.lr_scheduler.LambdaLR] = (None, None)"},{name:"preprocess_logits_for_metrics",val:": typing.Callable[[torch.Tensor, torch.Tensor], torch.Tensor] = None"},{name:"quantization_config",val:": typing.Optional[neural_compressor.config._BaseQuantizationConfig] = None"},{name:"pruning_config",val:": typing.Optional[neural_compressor.config._BaseQuantizationConfig] = None"},{name:"distillation_config",val:": typing.Optional[neural_compressor.config._BaseQuantizationConfig] = None"},{name:"task",val:": typing.Optional[str] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum-intel/blob/vr_1001/optimum/intel/neural_compressor/trainer.py#L114"}}),Q=new h({props:{name:"compute_distillation_loss",anchor:"optimum.intel.INCTrainer.compute_distillation_loss",parameters:[{name:"student_outputs",val:""},{name:"teacher_outputs",val:""}],source:"https://github.com/huggingface/optimum-intel/blob/vr_1001/optimum/intel/neural_compressor/trainer.py#L848"}}),E=new h({props:{name:"compute_loss",anchor:"optimum.intel.INCTrainer.compute_loss",parameters:[{name:"model",val:""},{name:"inputs",val:""},{name:"return_outputs",val:" = False"},{name:"num_items_in_batch",val:" = None"}],source:"https://github.com/huggingface/optimum-intel/blob/vr_1001/optimum/intel/neural_compressor/trainer.py#L772"}}),U=new h({props:{name:"save_model",anchor:"optimum.intel.INCTrainer.save_model",parameters:[{name:"output_dir",val:": typing.Optional[str] = None"},{name:"_internal_call",val:": bool = False"}],source:"https://github.com/huggingface/optimum-intel/blob/vr_1001/optimum/intel/neural_compressor/trainer.py#L681"}}),S=new b({props:{title:"INCModel",local:"optimum.intel.INCModel",headingTag:"h2"}}),V=new h({props:{name:"class optimum.intel.INCModel",anchor:"optimum.intel.INCModel",parameters:[{name:"model",val:""},{name:"config",val:": PretrainedConfig = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"q_config",val:": typing.Dict = None"},{name:"inc_config",val:": typing.Dict = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum-intel/blob/vr_1001/optimum/intel/neural_compressor/modeling_base.py#L71"}}),H=new b({props:{title:"INCModelForSequenceClassification",local:"optimum.intel.INCModelForSequenceClassification",headingTag:"h2"}}),B=new h({props:{name:"class optimum.intel.INCModelForSequenceClassification",anchor:"optimum.intel.INCModelForSequenceClassification",parameters:[{name:"model",val:""},{name:"config",val:": PretrainedConfig = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"q_config",val:": typing.Dict = None"},{name:"inc_config",val:": typing.Dict = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum-intel/blob/vr_1001/optimum/intel/neural_compressor/modeling_base.py#L396"}}),R=new b({props:{title:"INCModelForQuestionAnswering",local:"optimum.intel.INCModelForQuestionAnswering",headingTag:"h2"}}),j=new h({props:{name:"class optimum.intel.INCModelForQuestionAnswering",anchor:"optimum.intel.INCModelForQuestionAnswering",parameters:[{name:"model",val:""},{name:"config",val:": PretrainedConfig = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"q_config",val:": typing.Dict = None"},{name:"inc_config",val:": typing.Dict = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum-intel/blob/vr_1001/optimum/intel/neural_compressor/modeling_base.py#L391"}}),G=new b({props:{title:"INCModelForTokenClassification",local:"optimum.intel.INCModelForTokenClassification",headingTag:"h2"}}),K=new h({props:{name:"class optimum.intel.INCModelForTokenClassification",anchor:"optimum.intel.INCModelForTokenClassification",parameters:[{name:"model",val:""},{name:"config",val:": PretrainedConfig = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"q_config",val:": typing.Dict = None"},{name:"inc_config",val:": typing.Dict = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum-intel/blob/vr_1001/optimum/intel/neural_compressor/modeling_base.py#L401"}}),X=new b({props:{title:"INCModelForMultipleChoice",local:"optimum.intel.INCModelForMultipleChoice",headingTag:"h2"}}),Z=new h({props:{name:"class optimum.intel.INCModelForMultipleChoice",anchor:"optimum.intel.INCModelForMultipleChoice",parameters:[{name:"model",val:""},{name:"config",val:": PretrainedConfig = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"q_config",val:": typing.Dict = None"},{name:"inc_config",val:": typing.Dict = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum-intel/blob/vr_1001/optimum/intel/neural_compressor/modeling_base.py#L406"}}),ee=new b({props:{title:"INCModelForMaskedLM",local:"optimum.intel.INCModelForMaskedLM",headingTag:"h2"}}),ne=new h({props:{name:"class optimum.intel.INCModelForMaskedLM",anchor:"optimum.intel.INCModelForMaskedLM",parameters:[{name:"model",val:""},{name:"config",val:": PretrainedConfig = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"q_config",val:": typing.Dict = None"},{name:"inc_config",val:": typing.Dict = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum-intel/blob/vr_1001/optimum/intel/neural_compressor/modeling_base.py#L416"}}),ae=new b({props:{title:"INCModelForCausalLM",local:"optimum.intel.INCModelForCausalLM",headingTag:"h2"}}),ie=new h({props:{name:"class optimum.intel.INCModelForCausalLM",anchor:"optimum.intel.INCModelForCausalLM",parameters:[{name:"model",val:""},{name:"config",val:": PretrainedConfig = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"q_config",val:": typing.Dict = None"},{name:"inc_config",val:": typing.Dict = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum-intel/blob/vr_1001/optimum/intel/neural_compressor/modeling_base.py#L426"}}),re=new b({props:{title:"INCModelForSeq2SeqLM",local:"optimum.intel.INCModelForSeq2SeqLM",headingTag:"h2"}}),se=new h({props:{name:"class optimum.intel.INCModelForSeq2SeqLM",anchor:"optimum.intel.INCModelForSeq2SeqLM",parameters:[{name:"model",val:""},{name:"config",val:": PretrainedConfig = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"q_config",val:": typing.Dict = None"},{name:"inc_config",val:": typing.Dict = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum-intel/blob/vr_1001/optimum/intel/neural_compressor/modeling_base.py#L411"}}),me=new Dt({props:{source:"https://github.com/huggingface/optimum-intel/blob/main/docs/source/neural_compressor/reference.mdx"}}),{c(){C=c("meta"),be=a(),he=c("p"),Ne=a(),r(w.$$.fragment),Ce=a(),r(D.$$.fragment),ye=a(),v=c("div"),r(q.$$.fragment),Ke=a(),de=c("p"),de.textContent=mt,Xe=a(),y=c("div"),r(F.$$.fragment),Ye=a(),ce=c("p"),ce.innerHTML=pt,Ze=a(),I=c("div"),r(L.$$.fragment),et=a(),ue=c("p"),ue.innerHTML=dt,Ie=a(),r(P.$$.fragment),Me=a(),$=c("div"),r(k.$$.fragment),tt=a(),ge=c("p"),ge.textContent=ct,nt=a(),M=c("div"),r(Q.$$.fragment),at=a(),fe=c("p"),fe.textContent=ut,ot=a(),T=c("div"),r(E.$$.fragment),it=a(),_e=c("p"),_e.textContent=gt,rt=a(),z=c("div"),r(U.$$.fragment),lt=a(),$e=c("p"),$e.innerHTML=ft,Te=a(),r(S.$$.fragment),ze=a(),O=c("div"),r(V.$$.fragment),xe=a(),r(H.$$.fragment),we=a(),A=c("div"),r(B.$$.fragment),De=a(),r(R.$$.fragment),qe=a(),W=c("div"),r(j.$$.fragment),Fe=a(),r(G.$$.fragment),Le=a(),J=c("div"),r(K.$$.fragment),Pe=a(),r(X.$$.fragment),ke=a(),Y=c("div"),r(Z.$$.fragment),Qe=a(),r(ee.$$.fragment),Ee=a(),te=c("div"),r(ne.$$.fragment),Ue=a(),r(ae.$$.fragment),Se=a(),oe=c("div"),r(ie.$$.fragment),Oe=a(),r(re.$$.fragment),Ve=a(),le=c("div"),r(se.$$.fragment),He=a(),r(me.$$.fragment),Ae=a(),ve=c("p"),this.h()},l(e){const n=wt("svelte-u9bgzb",document.head);C=u(n,"META",{name:!0,content:!0}),n.forEach(t),be=o(e),he=u(e,"P",{}),f(he).forEach(t),Ne=o(e),l(w.$$.fragment,e),Ce=o(e),l(D.$$.fragment,e),ye=o(e),v=u(e,"DIV",{class:!0});var x=f(v);l(q.$$.fragment,x),Ke=o(x),de=u(x,"P",{"data-svelte-h":!0}),pe(de)!=="svelte-1cxu5ph"&&(de.textContent=mt),Xe=o(x),y=u(x,"DIV",{class:!0});var Re=f(y);l(F.$$.fragment,Re),Ye=o(Re),ce=u(Re,"P",{"data-svelte-h":!0}),pe(ce)!=="svelte-gk4yjz"&&(ce.innerHTML=pt),Re.forEach(t),Ze=o(x),I=u(x,"DIV",{class:!0});var We=f(I);l(L.$$.fragment,We),et=o(We),ue=u(We,"P",{"data-svelte-h":!0}),pe(ue)!=="svelte-9zxxih"&&(ue.innerHTML=dt),We.forEach(t),x.forEach(t),Ie=o(e),l(P.$$.fragment,e),Me=o(e),$=u(e,"DIV",{class:!0});var N=f($);l(k.$$.fragment,N),tt=o(N),ge=u(N,"P",{"data-svelte-h":!0}),pe(ge)!=="svelte-l625lh"&&(ge.textContent=ct),nt=o(N),M=u(N,"DIV",{class:!0});var je=f(M);l(Q.$$.fragment,je),at=o(je),fe=u(je,"P",{"data-svelte-h":!0}),pe(fe)!=="svelte-ynow3r"&&(fe.textContent=ut),je.forEach(t),ot=o(N),T=u(N,"DIV",{class:!0});var Ge=f(T);l(E.$$.fragment,Ge),it=o(Ge),_e=u(Ge,"P",{"data-svelte-h":!0}),pe(_e)!=="svelte-1feheyo"&&(_e.textContent=gt),Ge.forEach(t),rt=o(N),z=u(N,"DIV",{class:!0});var Je=f(z);l(U.$$.fragment,Je),lt=o(Je),$e=u(Je,"P",{"data-svelte-h":!0}),pe($e)!=="svelte-45fu3d"&&($e.innerHTML=ft),Je.forEach(t),N.forEach(t),Te=o(e),l(S.$$.fragment,e),ze=o(e),O=u(e,"DIV",{class:!0});var _t=f(O);l(V.$$.fragment,_t),_t.forEach(t),xe=o(e),l(H.$$.fragment,e),we=o(e),A=u(e,"DIV",{class:!0});var $t=f(A);l(B.$$.fragment,$t),$t.forEach(t),De=o(e),l(R.$$.fragment,e),qe=o(e),W=u(e,"DIV",{class:!0});var ht=f(W);l(j.$$.fragment,ht),ht.forEach(t),Fe=o(e),l(G.$$.fragment,e),Le=o(e),J=u(e,"DIV",{class:!0});var vt=f(J);l(K.$$.fragment,vt),vt.forEach(t),Pe=o(e),l(X.$$.fragment,e),ke=o(e),Y=u(e,"DIV",{class:!0});var bt=f(Y);l(Z.$$.fragment,bt),bt.forEach(t),Qe=o(e),l(ee.$$.fragment,e),Ee=o(e),te=u(e,"DIV",{class:!0});var Nt=f(te);l(ne.$$.fragment,Nt),Nt.forEach(t),Ue=o(e),l(ae.$$.fragment,e),Se=o(e),oe=u(e,"DIV",{class:!0});var Ct=f(oe);l(ie.$$.fragment,Ct),Ct.forEach(t),Oe=o(e),l(re.$$.fragment,e),Ve=o(e),le=u(e,"DIV",{class:!0});var yt=f(le);l(se.$$.fragment,yt),yt.forEach(t),He=o(e),l(me.$$.fragment,e),Ae=o(e),ve=u(e,"P",{}),f(ve).forEach(t),this.h()},h(){_(C,"name","hf:doc:metadata"),_(C,"content",Ft),_(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,n){g(document.head,C),i(e,be,n),i(e,he,n),i(e,Ne,n),s(w,e,n),i(e,Ce,n),s(D,e,n),i(e,ye,n),i(e,v,n),s(q,v,null),g(v,Ke),g(v,de),g(v,Xe),g(v,y),s(F,y,null),g(y,Ye),g(y,ce),g(v,Ze),g(v,I),s(L,I,null),g(I,et),g(I,ue),i(e,Ie,n),s(P,e,n),i(e,Me,n),i(e,$,n),s(k,$,null),g($,tt),g($,ge),g($,nt),g($,M),s(Q,M,null),g(M,at),g(M,fe),g($,ot),g($,T),s(E,T,null),g(T,it),g(T,_e),g($,rt),g($,z),s(U,z,null),g(z,lt),g(z,$e),i(e,Te,n),s(S,e,n),i(e,ze,n),i(e,O,n),s(V,O,null),i(e,xe,n),s(H,e,n),i(e,we,n),i(e,A,n),s(B,A,null),i(e,De,n),s(R,e,n),i(e,qe,n),i(e,W,n),s(j,W,null),i(e,Fe,n),s(G,e,n),i(e,Le,n),i(e,J,n),s(K,J,null),i(e,Pe,n),s(X,e,n),i(e,ke,n),i(e,Y,n),s(Z,Y,null),i(e,Qe,n),s(ee,e,n),i(e,Ee,n),i(e,te,n),s(ne,te,null),i(e,Ue,n),s(ae,e,n),i(e,Se,n),i(e,oe,n),s(ie,oe,null),i(e,Oe,n),s(re,e,n),i(e,Ve,n),i(e,le,n),s(se,le,null),i(e,He,n),s(me,e,n),i(e,Ae,n),i(e,ve,n),Be=!0},p:Mt,i(e){Be||(m(w.$$.fragment,e),m(D.$$.fragment,e),m(q.$$.fragment,e),m(F.$$.fragment,e),m(L.$$.fragment,e),m(P.$$.fragment,e),m(k.$$.fragment,e),m(Q.$$.fragment,e),m(E.$$.fragment,e),m(U.$$.fragment,e),m(S.$$.fragment,e),m(V.$$.fragment,e),m(H.$$.fragment,e),m(B.$$.fragment,e),m(R.$$.fragment,e),m(j.$$.fragment,e),m(G.$$.fragment,e),m(K.$$.fragment,e),m(X.$$.fragment,e),m(Z.$$.fragment,e),m(ee.$$.fragment,e),m(ne.$$.fragment,e),m(ae.$$.fragment,e),m(ie.$$.fragment,e),m(re.$$.fragment,e),m(se.$$.fragment,e),m(me.$$.fragment,e),Be=!0)},o(e){p(w.$$.fragment,e),p(D.$$.fragment,e),p(q.$$.fragment,e),p(F.$$.fragment,e),p(L.$$.fragment,e),p(P.$$.fragment,e),p(k.$$.fragment,e),p(Q.$$.fragment,e),p(E.$$.fragment,e),p(U.$$.fragment,e),p(S.$$.fragment,e),p(V.$$.fragment,e),p(H.$$.fragment,e),p(B.$$.fragment,e),p(R.$$.fragment,e),p(j.$$.fragment,e),p(G.$$.fragment,e),p(K.$$.fragment,e),p(X.$$.fragment,e),p(Z.$$.fragment,e),p(ee.$$.fragment,e),p(ne.$$.fragment,e),p(ae.$$.fragment,e),p(ie.$$.fragment,e),p(re.$$.fragment,e),p(se.$$.fragment,e),p(me.$$.fragment,e),Be=!1},d(e){e&&(t(be),t(he),t(Ne),t(Ce),t(ye),t(v),t(Ie),t(Me),t($),t(Te),t(ze),t(O),t(xe),t(we),t(A),t(De),t(qe),t(W),t(Fe),t(Le),t(J),t(Pe),t(ke),t(Y),t(Qe),t(Ee),t(te),t(Ue),t(Se),t(oe),t(Oe),t(Ve),t(le),t(He),t(Ae),t(ve)),t(C),d(w,e),d(D,e),d(q),d(F),d(L),d(P,e),d(k),d(Q),d(E),d(U),d(S,e),d(V),d(H,e),d(B),d(R,e),d(j),d(G,e),d(K),d(X,e),d(Z),d(ee,e),d(ne),d(ae,e),d(ie),d(re,e),d(se),d(me,e)}}}const Ft='{"title":"Reference","local":"reference","sections":[{"title":"INCQuantizer","local":"optimum.intel.INCQuantizer","sections":[],"depth":2},{"title":"INCTrainer","local":"optimum.intel.INCTrainer","sections":[],"depth":2},{"title":"INCModel","local":"optimum.intel.INCModel","sections":[],"depth":2},{"title":"INCModelForSequenceClassification","local":"optimum.intel.INCModelForSequenceClassification","sections":[],"depth":2},{"title":"INCModelForQuestionAnswering","local":"optimum.intel.INCModelForQuestionAnswering","sections":[],"depth":2},{"title":"INCModelForTokenClassification","local":"optimum.intel.INCModelForTokenClassification","sections":[],"depth":2},{"title":"INCModelForMultipleChoice","local":"optimum.intel.INCModelForMultipleChoice","sections":[],"depth":2},{"title":"INCModelForMaskedLM","local":"optimum.intel.INCModelForMaskedLM","sections":[],"depth":2},{"title":"INCModelForCausalLM","local":"optimum.intel.INCModelForCausalLM","sections":[],"depth":2},{"title":"INCModelForSeq2SeqLM","local":"optimum.intel.INCModelForSeq2SeqLM","sections":[],"depth":2}],"depth":1}';function Lt(st){return Tt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ut extends zt{constructor(C){super(),xt(this,C,Lt,qt,It,{})}}export{Ut as component};
